Bug 445122 - Adjust Date and Time has not effect
Adjust Date and Time has not effect
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 21:56 EDT by Adam Clark
Modified: 2008-07-26 01:57 EDT (History)
0 users

See Also:
Fixed In Version: 2.22.1.3-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 06:59:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Clark 2008-05-03 21:56:14 EDT
Description of problem:

Adjust Date and Time does not work.

Version-Release number of selected component (if applicable):

system-config-date-1.9.30-2.fc9.noarch

How reproducible:


Steps to Reproduce:
1. Right click date/time on menu bar.
2. Select <Adjust Date and Time>.
3. Adjust the time to a new time.
4. Click <Set System Time...>.
5. Note the "Current Time" does not change, neither in the dialog nor on the
menu bar.
  
Actual results:

The time does not change.

Expected results:

The time should change accordingly.

Additional info:

The same behavior exists when trying to adjust the date.

If you click cancel and go back in, the date you selected remains selected in
the "Time Settings" dialog.
Comment 1 Matthias Clasen 2008-05-04 23:20:41 EDT
if you run /usr/libexec/gnome-clock-applet-mechanism (as root) in a terminal
before trying to change the time or timezone in the clock applet, do you get any
output ? I'd expect to see something like:

** (process:30325): DEBUG: SetTimezone('/usr/share/zoneinfo/America/New_York')
called
Comment 2 Adam Clark 2008-05-06 23:11:03 EDT
The following is the output I received when performing the above test:

[root@rawhide ~]# /usr/libexec/gnome-clock-applet-mechanism
** (process:2251): DEBUG: Setting killtimer to 30 seconds...
** (process:2251): DEBUG: Setting killtimer to 30 seconds...
** (process:2251): DEBUG: SetTime(1210118512) called
** (process:2251): DEBUG: Exiting due to inactivity
[root@rawhide ~]#
Comment 3 Matthias Clasen 2008-05-09 13:48:16 EDT
This looks like we are failing to make the "Adjust Date & Time" menuitem
insensitive when the user doesn't have the necessary privileges.

When you open the main preferences window, is the "Time Settings" button grayed
out ?
Comment 4 Fedora Update System 2008-05-13 10:32:16 EDT
gnome-panel-2.22.1.3-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-panel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3765
Comment 5 Bug Zapper 2008-05-14 06:37:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2008-05-21 06:59:12 EDT
gnome-panel-2.22.1.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-07-26 01:57:52 EDT
gnome-panel-2.22.1.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.